afc_client_new_from_house_arrest_client
house_arrest_client_free
house_arrest_client_new
house_arrest_client_start_service
house_arrest_client_t
house_arrest_error_t
house_arrest_get_result
house_arrest_send_command
house_arrest_send_request
HOUSE_ARREST_SERVICE_NAME

## house_arrest_client_new()

LIBIMOBILEDEVICE_API house_arrest_error_t house_arrest_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | house_arrest_client_t * | client )

Connects to the house_arrest service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will point to a newly allocated housearrest_client_t upon successful return.

Returns
  HOUSE_ARREST_E_SUCCESS on success, HOUSE_ARREST_E_INVALID_ARG when client is NULL, or an HOUSE_ARREST_E_* error code otherwise.